Bug 328531 - Frysk crashes when debugging simple testing program
Frysk crashes when debugging simple testing program
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgtk-java (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Sami Wagiaalla
Fedora Extras Quality Assurance
:
Depends On: 429336 435200
Blocks: 437293
  Show dependency treegraph
 
Reported: 2007-10-11 17:07 EDT by Matěj Cepl
Modified: 2016-06-07 18:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-10-11 17:07:52 EDT
Description of problem:
when trying to debug (in debugging mode) this minimal C code:

#include <stdio.h>
#include <unistd.h>

int main () {
    for (;;) {
        sleep(1);
        puts("x");
    }
}

frysk crashes with this on stdout/stderr:

[matej@viklef] $ frysk       
java.lang.Exception: (for origin information, set GTK_DEBUG): failed to retrieve
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value
"((GString*) 0x882ae20)" of type `GString'
   at org.gnu.glib.GObject.printStackTrace(libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.gtk_main(libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.main(libgtkjava-2.8.so)
   at frysk.gui.Gui.gui(frysk)
   at frysk.bindir.frysk.main(frysk)
Exception in thread "main" java.lang.NullPointerException
   at org.gnu.gtk.Gtk.gtk_main(libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.main(libgtkjava-2.8.so)
   at frysk.gui.Gui.gui(frysk)
   at frysk.bindir.frysk.main(frysk)
Killed
[matej@viklef] $ 


Version-Release number of selected component (if applicable):
frysk-0.0.1.2007.09.24-1.fc8
frysk-gnome-0.0.1.2007.09.24-1.fc8

How reproducible:
frysk either freezes or crashes -- tried three times with either of these results.

Steps to Reproduce:
1.run frysk
2.open session with running program above
3.(if not frozen already) push next button
  
Actual results:
frysk either crashes or if it gets to showing toolbar it freezes

Expected results:
stepping through the code

Additional info:
I am probably doing something very stupid, but I really don't see the way how to
make this work. I tried to use frysk for debugging of my pretty trivial utility,
but I haven't managed to do it. Could you please help me how to make this work?
Comment 1 Andrew Cagney 2008-03-13 08:24:11 EDT
frysk -> libgtk-java; and owner -> sami.  I believe a libgtk-java update
addressed this specific issue.
Comment 2 Bug Zapper 2008-05-13 23:22:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 18:56:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:33:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.